<template>
  <div id="app">
    <!-- Heaader -->
    <!-- <div> -->
      <!-- <div class="header-nav">
        <a href="/">
          <img class="logo-img" src="./assets/images/c-logo.png" />
        </a>
        <ul>
          <li><a href="/">Home</a></li>
          <li><a href="/about">About</a></li>
        </ul>
      </div> -->
    <!-- </div> -->
    <Layout />
    <router-view />
    <!-- <div>
      Footer
    </div> -->
    <!-- Footer -->
  </div>
</template>

<script>
import Layout from './pages/layout'
export default {
  name: 'App',
  components: {
    Layout,
  },
}
</script>

<style>
 @import "assets/index.scss";
#app {
  font-family: Avenir, Helvetica, Arial, sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  /* text-align: center; */
  color: #2c3e50;
  /* margin-top: 60px; */
}
.header-nav {
  display: flex;
}

.header-nav ul {
  display: inline-flex;
  text-align: center;
  margin-top: 30px;
  margin-right: auto;
}

.header-nav ul li{
  list-style: none;
  margin: 0 50px;
}

/* .header-nav ul li:before {
  position:absolute;
  pointer-events: none;
  z-index:-1;
  content: '';
  top: 85%;
  left: 5%;
  height:10px;
  width:90%;
  opacity:0;
  background: -webkit-radial-gradient(center, ellipse, rgba(255, 255, 255, 0.35) 0%, rgba(255, 255, 255, 0) 80%);
  background: radial-gradient(ellipse at center, #327ae7 0%, rgba(255, 255, 255, 0) 80%);
} */

.header-nav ul li:hover {
  transform: translateY(-5px);
  transition: 1s;
}

.header-nav ul li:hover a {
  color: #ec5564;
  transform: translateY(-5px);
  transition: 1s;
}

.header-nav ul li a {
  color: #000000;
  transform: translateY(-5px);
}

.header-nav ul li:hover::before {
  opacity: 1;
  transform: translateY(-5px);
  transition: 1s;
}

.header-nav a {
  text-decoration: none;
}

.logo-img{
  height: 45px;
  padding: 20px;
}
</style>
